commit:     dfce6a79b3de9cb1441113f98bafae1a4f342cfc
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 11 10:50:32 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Sun Oct 11 11:24:29 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dfce6a79

dev-python/six: Add python3.5 support

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/six/six-1.10.0-r1.ebuild | 40 +++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/dev-python/six/six-1.10.0-r1.ebuild 
b/dev-python/six/six-1.10.0-r1.ebuild
new file mode 100644
index 0000000..f5c53b6
--- /dev/null
+++ b/dev-python/six/six-1.10.0-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python 2 and 3 compatibility library"
+HOMEPAGE="https://bitbucket.org/gutworth/six https://pypi.python.org/pypi/six";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~x86-interix 
~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris 
~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc test"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       doc? ( dev-python/sphinx )
+       test? ( >=dev-python/pytest-2.2.0[${PYTHON_USEDEP}] )"
+
+PATCHES=(
+       "${FILESDIR}"/1.9.0-mapping.patch
+       )
+
+python_compile_all() {
+       use doc && emake -C documentation html
+}
+
+python_test() {
+       py.test -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install_all() {
+       use doc && local HTML_DOCS=( documentation/_build/html/ )
+       distutils-r1_python_install_all
+}

Reply via email to